<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Jugadores y entrenadores</title>
    </h:head>
    <h:body>
        <ui:include src="menutab.xhtml" />
        <p:fieldset>
            <h:form id="datos">
                <h:panelGrid columns="3">
                    <p:outputLabel value="SELECCION UN JUGADOR"/>
                    <p:selectOneMenu value="#{entrenadorJugadorController.jugador.idjugador}">
                        <f:selectItems value="#{jugadorController.lista}" var="lj" itemLabel="#{lj.nombre}" itemValue="#{lj.idjugador}"/>
                    </p:selectOneMenu>
                    <p:column/>
                    <p:outputLabel value="SELECCIONE UN ENTRENADOR"/>
                    <p:selectOneMenu value="#{entrenadorJugadorController.entrenador.identre}">
                        <f:selectItems value="#{entrenadorController.lista}" var="entr" itemLabel="#{entr.nombre}" itemValue="#{entr.identre}"/>
                    </p:selectOneMenu>
                    <p:commandButton value="Añadir Entrenador" oncomplete="PF('entrenador').show();" update=":jugadorN"/>
                    <p:outputLabel value="FECHA DE INICIO"/>
                    <p:calendar value="#{entrenadorJugadorController.entrenador_jugador.fecha_inicio}" pattern="yyyy-MM-dd"/>
                    <p:column/>
                    <p:outputLabel value="FECHA DE FIN"/>
                    <p:calendar value="#{entrenadorJugadorController.entrenador_jugador.fecha_fin}" pattern="yyyy-MM-dd"/>
                    <p:column/>
                    <p:commandButton value="REGISTRAR" rendered="#{entrenadorJugadorController.entrenador_jugador.fecha_fin==null}" actionListener="#{entrenadorJugadorController.insertar()}" update=":tabla,datos "/>
                    <p:commandButton value="EDITAR" rendered="#{entrenadorJugadorController.entrenador_jugador.fecha_fin!=null}" actionListener="#{entrenadorJugadorController.editar()}" update=":tabla,datos "/>
                </h:panelGrid> 
            </h:form>
        </p:fieldset>
        <p:dialog widgetVar="entrenador" id="jugadorN" modal="true" resizable="true">
            <p:fieldset>
                <h:form id="formEntrenador">
                    <h:panelGrid columns="2">
                        <p:outputLabel value="Nombre Entrenador"/>
                        <p:inputText value="#{entrenadorController.entrenador.nombre}"/>
                        <p:commandButton rendered="#{entrenadorController.entrenador.nombre==null}" value="Enviar" actionListener="#{entrenadorController.insertar()}" update=":datos,:tablaentrenador,formEntrenador"/>
                        <p:commandButton rendered="#{entrenadorController.entrenador.nombre!=null}" value="Actualizar" actionListener="#{entrenadorController.actualizar()}" update=":tablaentrenador,:datos,formEntrenador"/>
                    </h:panelGrid>
                </h:form>
            </p:fieldset>
            <br/>
            <p:fieldset legend="Lista Entrenadores">
                <h:form id="tablaentrenador">
                    <p:dataTable value="#{entrenadorController.lista}" var="ver" rows="5" paginator="true">
                        <p:column headerText="Id" width="80">
                            <p:outputLabel value="#{ver.identre}"/>
                        </p:column>
                        <p:column headerText="Entrenador" width="200">
                            <p:outputLabel value="#{ver.nombre}"/>
                        </p:column>
                        <p:column headerText="Eliminar" width="125">
                            <p:commandButton actionListener="#{entrenadorController.eliminar(ver)}" value="Eliminar" update="tablaentrenador,:datos"/>
                        </p:column>
                        <p:column headerText="Actualizar" width="125">
                            <p:commandButton actionListener="#{entrenadorController.consultarById(ver)}" value="Actualizar" update=":formEntrenador"/>
                        </p:column>
                    </p:dataTable>
                </h:form>
            </p:fieldset>
        </p:dialog>
        <br></br>
        <p:fieldset legend="JUGADORES CON ENTRENADOR REGISTRADOS">
            <h:form id="tabla">
                <p:dataTable value="#{entrenadorJugadorController.lista}" var="entrenadores" rows="5" paginator="true">
                    <p:column headerText="JUGADOR">
                        <p:outputLabel value="#{entrenadores.idjugador.nombre}"/>
                    </p:column>
                    <p:column headerText="ENTRENADOR">
                        <p:outputLabel value="#{entrenadores.entrenador.nombre}"/>
                    </p:column>
                    <p:column headerText="FECHA DE INICIO">
                        <p:outputLabel value="#{entrenadores.fecha_inicio}">
                            <f:convertDateTime pattern="yyyy-MM-dd"/>
                        </p:outputLabel>
                    </p:column >
                    <p:column headerText="FECHA DE FIN">
                        <p:outputLabel value="#{entrenadores.fecha_fin}">
                            <f:convertDateTime pattern="yyyy-MM-dd"/>
                        </p:outputLabel>
                    </p:column>
                    <p:column headerText="ACCIONES">
                        <p:commandButton value="EDITAR" actionListener="#{entrenadorJugadorController.consultarById(entrenadores)}" update=":datos"/>
                        <p:commandButton value="ELIMINAR" actionListener="#{entrenadorJugadorController.eliminar(entrenadores)}" update=":tabla"/>
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:fieldset>
    </h:body>
</html>

